> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create applicant

POST https://api.propexo.com/v1/applicants/
Content-Type: application/json

Create an applicant for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/applicants/create-applicant

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_applicants__post_input.

- `integration_id` (string, required)
- `unit_id` (string, optional) — The Propexo unique identifier for the unit
- `first_name` (string, optional) — The first name associated with the applicant
- `last_name` (string, optional) — The last name associated with the applicant
- `send_rental_application_email` (boolean, optional, default: false) — Whether to send the new applicant an email with a link to the online application form
- `email_1` (string, optional) — The primary email address associated with the applicant
- `phone_1` (string, optional) — Primary phone number associated with the applicant
- `phone_1_type` (enum, optional) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `WORK`
- `phone_2` (string, optional) — Secondary phone number associated with the applicant
- `phone_2_type` (enum, optional) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `property_id` (string, optional) — The Propexo unique identifier for the property
- `lease_period_id` (string, optional) — The lease period to use for the application. If supplied, this field must be one of the approved lease periods defined on the Rentvine template. You can see a list of available choices for each application template on the appropriate lease period endpoint. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements or to change the list of available lease periods
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `address_1` (string, optional) — The first address line associated with the applicant
- `application_status` (enum, optional) — The status associated with the application
  - Allowed values: `COMPLETED`, `APPROVED`
- `city` (string, optional) — The city associated with the applicant
- `state` (string, optional) — The state associated with the applicant
- `zip` (string, optional) — The zip code associated with the applicant
- `address_2` (string, optional) — The second address line associated with the applicant
- `attachments` (list of V1ApplicantsPostInputAttachmentsItems, optional) — Files to upload for the applicant
- `date_of_birth` (V1ApplicantsPostInputDateOfBirth, optional) — The date of birth associated with the applicant
- `events` (list of V1ApplicantsPostInputEventsItems, optional) — A list of events to create for the new applicant
- `move_in_date` (V1ApplicantsPostInputMoveInDate, optional) — The move-in date associated with the lease
- `pets` (list of V1ApplicantsPostInputPetsItems, optional) — A list of applicant pets. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `vehicles` (list of V1ApplicantsPostInputVehiclesItems, optional) — A list of vehicles for the application. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `employment_history` (list of V1ApplicantsPostInputEmploymentHistoryItems, optional) — The employment history of the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `add_ons` (list of V1ApplicantsPostInputAddOnsItems, optional) — Add-ons of the applicant
- `address_type_id` (string, optional) — The Propexo unique identifier for the address type
- `target_move_in_date` (V1ApplicantsPostInputTargetMoveInDate, optional) — The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used
- `desired_num_bedrooms` (double, optional) — The desired number of bedrooms
- `desired_num_bathrooms` (string, optional) — The desired number of bathrooms
- `desired_lease_term_in_months` (string, optional) — The amount of months for the lease term
- `number_of_occupants` (double, optional) — The number of occupants for the applicant
- `notes` (string, optional) — Notes associated with the applicant
- `applicant_status` (enum, optional) — The status of the applicant. This is optional and defaults to ACTIVE.
  - Allowed values: `APPLICANT`, `CO_APPLICANT`, `OCCUPANT`
- `middle_name` (string, optional) — The middle name associated with the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `application_date` (V1ApplicantsPostInputApplicationDate, optional) — The application date associated with the applicant
- `application_template_id` (string, optional) — The Propexo unique identifier for the application template. The Rentvine application template dynamically defines which fields are required for each applicant/application: whether a field is active, disabled, required, or optional. A template may also allow some enums to be modified or for entire fields to be relabeled/repurposed. The functionality of a template is extensive and will likely require that you work with your customer to define a custom template for your application use case
- `leasing_agent_first_name` (string, optional) — The first name of the leasing agent. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `leasing_agent_last_name` (string, optional) — The last name of the leasing agent. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `leasing_agent_contact_info` (string, optional) — The contact info for the leasing agent. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `rent_amount_in_cents` (integer, optional) — The rent amount in cents that the applicant will pay for the unit. This field is not configurable on the Rentvine template and is always required
- `security_deposit_in_cents` (integer, optional) — The security deposit in cents that the applicant will pay for the unit. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `type` (enum, optional) — The type of applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements. Although the field itself can be made optional/required, the value must be one of the available choices and cannot be modified as part of the template
  - Allowed values: `APPLICANT`, `CO_APPLICANT`, `OCCUPANT`, `GUARANTOR`
- `marital_status` (enum, optional) — The marital status of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements. Although the field itself can be made optional/required, the value must be one of the available choices and cannot be modified as part of the template
  - Allowed values: `SINGLE`, `MARRIED`, `ENGAGED`, `SEPARATED`, `DIVORCED`, `WIDOWED`, `UNMARRIED_PARTNERS`
- `maiden_name` (string, optional) — The maiden name or birth name of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `height` (string, optional) — The height of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `weight` (string, optional) — The weight of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `eye_color` (string, optional) — The eye color of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `hair_color` (string, optional) — The hair color of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone_3` (string, optional) — Third phone number associated with the applicant. An applicant can have no more than one of each phone type. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone_3_type` (enum, optional) — Type of the third phone number. An applicant can have no more than one of each phone type.
  - Allowed values: `HOME`, `WORK`, `MOBILE`
- `identification_number` (string, optional) — The Social Security Number or Individual Taxpayer Identification Number associated with the applicant. Rentvine uses a pre-2011 validation scheme for SSN's meaning that some valid SSNs will be incorrectly rejected. Reach out to support if you find that a valid SSN is being rejected. This field is not configurable on the Rentvine template and is always required
- `citizenship` (string, optional) — The country of citizenship of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `place_of_birth` (string, optional) — The place of birth of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `passport_number` (string, optional) — The passport number of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `student_id` (string, optional) — The student ID number of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `drivers_license_number` (string, optional) — The driver's license number of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `drivers_license_state` (string, optional) — The issuing state of the applicant's driver's license. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `lead_source` (string, optional) — The name of the source of the lead or how the applicant heard of the property management company. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `emergency_contacts` (list of V1ApplicantsPostInputEmergencyContactsItems, optional) — A list of emergency contacts for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `application_references` (list of V1ApplicantsPostInputApplicationReferencesItems, optional) — A list of applicant references for the application. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `other_occupants` (list of V1ApplicantsPostInputOtherOccupantsItems, optional) — A list of other occupants who will live in the unit, such as children, etc. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements. Do not include any applicants in this list. If your application use case requires creating multiple applicants in the same application, please reach out to Propexo Support for help.
- `address_history` (list of V1ApplicantsPostInputAddressHistoryItems, optional) — The address history of the applicant. At least one address (the current address) must be provided. Note that Rentvine allows configuring different application template requirements for the current address vs. historical addresses. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements. Assuming that a minimum number of addresses are required in the application template, the current address does not count towards the minimum number
- `other_income` (list of V1ApplicantsPostInputOtherIncomeItems, optional) — A list of other income sources for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `bank_accounts` (list of V1ApplicantsPostInputBankAccountsItems, optional) — A list of bank accounts for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `credit_cards` (list of V1ApplicantsPostInputCreditCardsItems, optional) — A list of credit cards for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `assistance` (V1ApplicantsPostInputAssistance, optional) — Details for payment assistance for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements
- `application_id` (string, optional) — Optionally, the Propexo unique identifier for the application onto which you'd like to add this applicant. If omitted, Rentvine will create a new application for this applicant.
- `lead_id` (string, optional) — The Propexo unique identifier for the lead
- `start_date` (V1ApplicantsPostInputStartDate, optional) — The start date associated with the lease
- `end_date` (V1ApplicantsPostInputEndDate, optional) — The end date associated with the lease
- `status` (enum, optional) — The status associated with the application
  - Allowed values: `PENDING`, `APPROVED`, `CANCELED`, `DENIED`, `SIGNED`
- `rent_amount_market_in_cents` (integer, optional) — The market rent amount in cents for the lease
- `employee_id` (string, optional) — The Propexo unique identifier for the employee
- `third_party_id` (string, optional) — A unique value provided to the PMS to uniquely identify the applicant from your system.
- `organization_name` (string, optional) — The name of your organization. Yardi uses this for associating a applicant
- `custom_data` (V1ApplicantsPostInputCustomData, optional, deprecated) — Deprecated: Field is no longer applicable

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1ApplicantsPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ApplicantsPostInputAttachmentsItems

- `file_data` (string, required) — The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
- `file_name` (string, required) — The name of the file including the extension. Ex: "image.jpg"
- `mime_type` (string, required) — The mime type of the file. Ex: "image/jpeg"
- `lease_file_type` (string, optional) — Deprecated: Use the `file_type_id` field instead. The PMS specific lease file type of the document
- `file_type_id` (string, optional) — The Propexo file type ID of the lease file type to upload. Prefer this over the raw input of the lease_file_type.
- `is_private` (boolean, optional) — If the file should be marked as private. If true the file will not be shown in the resident portal.

### V1ApplicantsPostInputDateOfBirth

The date of birth associated with the applicant

### V1ApplicantsPostInputEventsItems

- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `event_name` (enum, required) — The name or type of event. This has to be from a predefined set of events.
  - Allowed values: `CallToProspect`, `CallFromProspect`, `Other`, `WalkIn`, `Chat`, `Email`, `Text`, `Webservice`, `Appointment`, `Show`, `Application`, `SelfGuidedTour`, `Application`
- `event_datetime` (string, required) — The date when the event will occur
- `lead_source_id` (string, optional) — The Propexo unique identifier for the lead source
- `unit_id` (string, optional) — The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".
- `notes` (string, optional) — Notes associated with the event
- `reasons_for_event` (string, optional) — The reasons for the event

### V1ApplicantsPostInputMoveInDate

The move-in date associated with the lease

### V1ApplicantsPostInputPetsItems

- `type` (string, required) — The type associated with the applicant pet (or breed). This field is not configurable on the Rentvine template and is always required
- `name` (string, optional) — The name associated with the applicant pet. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `age_in_years` (integer, optional) — The age in years of the applicant pet. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `weight_in_pounds` (integer, optional) — The weight in pounds of the applicant pet. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `is_trained` (boolean, optional) — Whether the applicant pet is trained. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `color` (string, optional) — The color of the applicant pet. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `gender` (enum, optional) — The gender of the applicant pet. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
  - Allowed values: `MALE`, `FEMALE`, `UNSPECIFIED`
- `is_declawed` (boolean, optional) — Whether the applicant pet is declawed. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `is_vaccinated` (boolean, optional) — Whether the applicant pet is vaccinated. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `is_fixed` (boolean, optional) — Whether the applicant pet is fixed. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputVehiclesItems

- `make` (string, required) — The make of the vehicle. This field is not configurable on the Rentvine template and is always required
- `model` (string, optional) — The model of the vehicle. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `year` (integer, optional) — The year the vehicle was made. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `color` (string, optional) — The color of the vehicle. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `license_plate_number` (string, optional) — The license plate number of the vehicle. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `license_plate_state` (string, optional) — The issuing state of the license plate. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `monthly_payment_in_cents` (integer, optional) — If the vehicle is leased or financed, the applicant's monthly payment for the vehicle in cents. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `insurance_carrier` (string, optional) — The insurance carrier for the applicant's vehicle. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputEmploymentHistoryItems

- `is_current_employer` (boolean, required) — Whether this employment history entry is for a current employer. This field is not configurable on the Rentvine template and is always required
- `name` (string, required) — The name of the employer. This field is not configurable on the Rentvine template and is always required
- `phone` (string, optional) — The phone number of the employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `address_1` (string, optional) — The first line of the address of the employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `address_2` (string, optional) — The second line of the address of the employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `city` (string, optional) — The city of the address of the employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `state` (string, optional) — The state of the address of the employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `zip` (string, optional) — The zip code of the address of the employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `country` (string, optional) — The country of the address of the employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `supervisor_first_name` (string, optional) — The first name of the applicant's supervisor at this employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `supervisor_last_name` (string, optional) — The last name of the applicant's supervisor at this employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `supervisor_title` (string, optional) — The title of the applicant's supervisor at this employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `supervisor_phone` (string, optional) — The phone number of the applicant's supervisor at this employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `supervisor_email` (string, optional) — The email of the applicant's supervisor at this employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `position` (string, optional) — The position held at this employer, or the job description of the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `income_in_cents` (integer, optional) — The monthly income of the applicant at this employer in cents. This field is not configurable on the Rentvine template and is always required
- `start_date` (V1ApplicantsPostInputEmploymentHistoryItemsStartDate, optional) — The start date of the applicant's employment at this employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `end_date` (V1ApplicantsPostInputEmploymentHistoryItemsEndDate, optional) — The end date of the applicant's employment at this employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `monthly_income_in_cents` (integer, optional, deprecated) — The monthly income of the applicant at this employer in cents. This field is not configurable on the Rentvine template and is always required. DEPRECATED: Use income_in_cents instead

### V1ApplicantsPostInputAddOnsItems

- `rentable_item_id` (string, required) — The Propexo unique identifier for the rentable item
- `employee_id` (string, required) — The Propexo unique identifier for the employee
- `start_date` (V1ApplicantsPostInputAddOnsItemsStartDate, optional) — The start date associated with the employee
- `end_date` (V1ApplicantsPostInputAddOnsItemsEndDate, optional) — The end date associated with the employee

### V1ApplicantsPostInputTargetMoveInDate

The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

### V1ApplicantsPostInputApplicationDate

The application date associated with the applicant

### V1ApplicantsPostInputEmergencyContactsItems

- `first_name` (string, optional) — The first name of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `last_name` (string, optional) — The last name of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `relationship` (string, optional) — The relationship of the emergency contact to the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `address_1` (string, optional) — The first line of the address of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `address_2` (string, optional) — The second line of the address of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `city` (string, optional) — The city of the address of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `state` (string, optional) — The state of the address of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `zip` (string, optional) — The zip code of the address of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `country` (string, optional) — The country of the address of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone_1` (string, optional) — The phone number of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone_2` (string, optional) — The second phone number of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `email_1` (string, optional) — The email of the emergency contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputApplicationReferencesItems

- `first_name` (string, required) — The first name of the applicant's reference. This field is not configurable on the Rentvine template and is always required
- `last_name` (string, required) — The last name of the applicant's reference. This field is not configurable on the Rentvine template and is always required
- `relationship` (string, optional) — The relationship of the applicant's reference to the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `address_1` (string, optional) — The first line of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `address_2` (string, optional) — The second line of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `city` (string, optional) — The city of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `state` (string, optional) — The state of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `zip` (string, optional) — The zip code of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `country` (string, optional) — The country of the address of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone_1` (string, optional) — The phone number of the applicant's reference. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputOtherOccupantsItems

- `first_name` (string, required) — The first name of the occupant. This field is not configurable on the Rentvine template and is always required
- `last_name` (string, required) — The last name of the occupant. This field is not configurable on the Rentvine template and is always required
- `relationship` (enum, required) — The relationship of the occupant to the applicant. The only allowed value is "OTHER" and is used to represent non-applicants under 18 years old. Contact Propexo Support if you need to support a workflow that allows adding additional applicants to an application
  - Allowed values: `OTHER`
- `date_of_birth` (V1ApplicantsPostInputOtherOccupantsItemsDateOfBirth, optional) — The date of birth of the occupant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `relationship_detail` (string, optional) — The relationship detail of the occupant to the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputAddressHistoryItems

- `address_1` (string, required) — The first address line associated with the applicant's historical address. This field is not configurable on the Rentvine template and is always required
- `city` (string, required) — The city associated with the applicant's historical address. This field is not configurable on the Rentvine template and is always required
- `state` (enum, required) — The state associated with the applicant's historical address. This field is not configurable on the Rentvine template and is always required
  - Allowed values: `AB`, `BC`, `MB`, `NB`, `NL`, `NT`, `NS`, `NU`, `ON`, `PE`, `QC`, `SK`, `YT`, `AL`, `AK`, `AS`, `AZ`, `AR`, `AA`, `AE`, `AP`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `MP`, `OH`, `OK`, `OR`, `PA`, `PR`, `RI`, `SC`, `SD`, `TN`, `TX`, `UM`, `UT`, `VT`, `VI`, `VA`, `WA`, `WV`, `WI`, `WY`
- `zip` (string, required) — The zip code associated with the applicant's historical address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `country` (enum, required) — The country associated with the applicant's historical address. This field is not configurable on the Rentvine template and is always required. If your application needs to support submitting an applicant who previously or currently reside(s) in another country, please reach out to Propexo Support for help
  - Allowed values: `US`, `CA`
- `address_2` (string, optional) — The second address line associated with the applicant's historical address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `address_type` (enum, optional) — Whether the applicant previously owned or rented at this address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
  - Allowed values: `OWN`, `RENT`
- `monthly_payment_in_cents` (integer, optional) — For the applicant's historical address, the applicant's monthly payment for rent or mortgage in cents. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `move_in_date` (V1ApplicantsPostInputAddressHistoryItemsMoveInDate, optional) — The date when the applicant moved into this historical address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `move_out_date` (V1ApplicantsPostInputAddressHistoryItemsMoveOutDate, optional) — The date when the applicant moved out of this address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements. Leave out this field to indicate that the given array item is the applicant's current address. At least one address in this array (the current address) is required.
- `manager_name` (string, optional) — The name of a property manager who works at this address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `manager_phone` (string, optional) — The phone number of a property manager who works at this address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `manager_email` (string, optional) — The email of a property manager who works at this address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `reason_for_leaving` (string, optional) — The reason the applicant decided to leave this address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `manager_type` (enum, optional) — The type of property manager who works at this address. This field is ignored for the current address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
  - Allowed values: `LANDLORD`, `PROPERTY_MANAGER`, `RELATIVE`, `FRIEND`, `APARTMENT`

### V1ApplicantsPostInputOtherIncomeItems

- `source` (string, required) — The source of the income for the applicant. This field is not configurable on the Rentvine template and is always required
- `monthly_income_in_cents` (integer, required) — The monthly income from this income source in cents. This field is not configurable on the Rentvine template and is always required
- `phone` (string, optional) — The phone number related to this income source to use for income verification. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputBankAccountsItems

- `name` (string, required) — The name of the bank where the account is held. This field is not configurable on the Rentvine template and is always required
- `account_type` (enum, optional) — The type of bank account. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
  - Allowed values: `SAVINGS`, `CHECKING`
- `account_number` (string, optional) — The account number of the bank account. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `balance_in_cents` (integer, optional) — The current balance of the bank account in cents. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputCreditCardsItems

- `name` (string, required) — The name of the bank or issuer of the credit card. This field is not configurable on the Rentvine template and is always required
- `balance_in_cents` (integer, optional) — The current balance of the credit card in cents. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputAssistance

Details for payment assistance for the applicant. Depending on the Rentvine template, this array can be customized to be either required or optional. The template may also require a minimum number of items in the array in order to pass validation. You will need to work with your customer directly to configure this field to your application requirements

- `agency_name` (string, optional) — The name of the agency who is providing assistance for the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `county` (string, optional) — The county where the agency is located. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `technician_name` (string, optional) — The name of the agency's contact assigned to support the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `phone` (string, optional) — The phone number of the agency or of the agency's contact. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `assistance_amount_in_cents` (integer, optional) — The amount of assistance for the applicant in cents. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `beds_allowed` (string, optional) — The number of beds allowed for the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements
- `are_utilities_covered` (boolean, optional) — Whether utilities are covered for the applicant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputStartDate

The start date associated with the lease

### V1ApplicantsPostInputEndDate

The end date associated with the lease

### V1ApplicantsPostInputCustomData

Deprecated: Field is no longer applicable

### V1ApplicantsPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ApplicantsPostInputEmploymentHistoryItemsStartDate

The start date of the applicant's employment at this employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputEmploymentHistoryItemsEndDate

The end date of the applicant's employment at this employer. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputAddOnsItemsStartDate

The start date associated with the employee

### V1ApplicantsPostInputAddOnsItemsEndDate

The end date associated with the employee

### V1ApplicantsPostInputOtherOccupantsItemsDateOfBirth

The date of birth of the occupant. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputAddressHistoryItemsMoveInDate

The date when the applicant moved into this historical address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements

### V1ApplicantsPostInputAddressHistoryItemsMoveOutDate

The date when the applicant moved out of this address. Depending on the Rentvine template, this field can be customized to be either required or optional. You will need to work with your customer directly to configure this field to your application requirements. Leave out this field to indicate that the given array item is the applicant's current address. At least one address in this array (the current address) is required.

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}
```

**Response**

```json
{
  "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/"

payload = { "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/applicants/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/applicants/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```